﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace xamDataChart_multiLineSeries
{
    public class SeriesData : ObservableCollection<DataPoint>
    {
        public SeriesData()
        {
            Add(new DataPoint()
            {
                Category = "ON",
                Series1Value = 0.87982447,
                Series2Value = 0.87441377,
            });
            Add(new DataPoint()
            {
                Category = "TN",
                Series1Value = 0.72358737,
                Series2Value = 0.75199914,
            });
            Add(new DataPoint()
            {
                Category = "SN",
                Series1Value = 0.98039604,
                Series2Value = 0.03042839,
            });
            Add(new DataPoint()
            {
                Category = "SW",
                Series1Value = 0.07707835,
                Series2Value = 0.90952519,
            });
            Add(new DataPoint()
            {
                Category = "1M",
                Series1Value = 0.84040094,
                Series2Value = 0.39143478,
            });
            Add(new DataPoint()
            {
                Category = "2M",
                Series1Value = 0.49497843,
                Series2Value = 0.21502178,
            });
            Add(new DataPoint()
            {
                Category = "3M",
                Series1Value = 0.41658038,
                Series2Value = 0.24099547,
            });
            Add(new DataPoint()
            {
                Category = "6M",
                Series1Value = 0.15101428,
                Series2Value = 0.0448673,
            });
            Add(new DataPoint()
            {
                Category = "9M",
                Series1Value = 0.85265941,
                Series2Value = 0.68931441,
            });
            Add(new DataPoint()
            {
                Category = "10M",
                Series1Value = null,
                Series2Value = 0.84921025,
            });
            Add(new DataPoint()
            {
                Category = "11M",
                Series1Value = null,
                Series2Value = 0.88973213,
            });
            Add(new DataPoint()
            {
                Category = "1Y",
                Series1Value = 0.4413789,
                Series2Value = 0.66807015,
            });
            Add(new DataPoint()
            {
                Category = "2Y",
                Series1Value = 0.22177293,
                Series2Value = 0.44491565,
            });
        }
    }

    public class DataPoint
    {
        public string Category { get; set; }

        public double? Series1Value { get; set; }
        
        public double? Series2Value { get; set; }
    }
}
